Skip to main content
GET
/
creators
/
collabs
Get Collabs
curl --request GET \
  --url https://unified-api.creatorcommerce.shop/creators/collabs \
  --header 'x-channel-access-token: <api-key>'
{
  "collabs": {
    "collabs": [
      {
        "_id": "6997d1305fe142fd13cff4d7",
        "channel": "6997d1b29655870ce8359c45",
        "creator": {
          "_id": "6997d1305fe142fd13cff4b6",
          "firstName": "Jill",
          "lastName": "Doe",
          "email": "jill@example.com"
        },
        "affiliateCode": "JILL23878",
        "affiliateUrl": "https://www.nuuds.com/JILL23878",
        "collabTier": "6997d1305fe142fd13cff500"
      }
    ]
  }
}

Authorizations

x-channel-access-token
string
header
required

Channel or partner access token (x-channel-access-token or x-partner-access-token)

Query Parameters

email
string<email>

Optional creator email lookup key (used with myshopify_domain).

Example:

"kenyon+4494949392@creatorcommerce.shop"

myshopify_domain
string
required

The Shopify domain

Example:

"cc-goaff-sandbox.myshopify.com"

Response

Successfully retrieved collabs

collabs
object